#ifndef _SQLIMPORT_H
#define _SQLIMPORT_H
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#include "../CSockSrvr/CSockSrvr.H"
#include "../../SharedClasses/SQLClass/cSQL.H"
#include "../../SharedClasses/SQLClass/cRecordSet.H"
#include "../../SharedClasses/CMemPool/CMemPool.H"

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

struct _SQLImportMembers{
    char **ColumnNames;
    char **SingleRowData;

	int *iOutDataType;
    int *iOutColumnSize;
};

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

void FreeSingleRowDataColumns(CMemoryPool *lpMem, struct _SQLImportMembers *SIM, int ColumnCount);
void FreeColumnNames(CMemoryPool *lpMem, struct _SQLImportMembers *SIM, int ColumnCount);
void FreeSingleRowData(CMemoryPool *lpMem, struct _SQLImportMembers *SIM);
bool ImportSQLResults(CSockSrvr *pSockSrvr, int iClient, bool bCheckExistance, char *InFileName);

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#endif
